com.genesyslab.wfm7.API.service.config761

## Class CfgMeal

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgMeal

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgMeal
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp`
    `private int` | `wmDuration`
    `private int` | `wmEndDuration`
    `private int` | `wmLengthAfterMeal`
    `private int` | `wmLengthBeforeMeal`
    `private int` | `wmMealId`
    `private java.lang.String` | `wmName`
    `private boolean` | `wmPaid`
    `private java.lang.String` | `wmShortName`
    `private int` | `wmSiteId`
    `private int` | `wmStartStep`
    `private double` | `wmStartTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgMeal()`
    `CfgMeal(int wmMealId, int wmSiteId, java.lang.String wmName, java.lang.String wmShortName, boolean wmPaid, double wmStartTime, int wmEndDuration, int wmDuration, int wmLengthBeforeMeal, int wmLengthAfterMeal, int wmStartStep, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this CfgMeal.
    `int` | `getWmDuration()` Gets the wmDuration value for this CfgMeal.
    `int` | `getWmEndDuration()` Gets the wmEndDuration value for this CfgMeal.
    `int` | `getWmLengthAfterMeal()` Gets the wmLengthAfterMeal value for this CfgMeal.
    `int` | `getWmLengthBeforeMeal()` Gets the wmLengthBeforeMeal value for this CfgMeal.
    `int` | `getWmMealId()` Gets the wmMealId value for this CfgMeal.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgMeal.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgMeal.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgMeal.
    `int` | `getWmStartStep()` Gets the wmStartStep value for this CfgMeal.
    `double` | `getWmStartTime()` Gets the wmStartTime value for this CfgMeal.
    `int` | `hashCode()`
    `boolean` | `isWmPaid()` Gets the wmPaid value for this CfgMeal.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgMeal.
    `void` | `setWmDuration(int wmDuration)` Sets the wmDuration value for this CfgMeal.
    `void` | `setWmEndDuration(int wmEndDuration)` Sets the wmEndDuration value for this CfgMeal.
    `void` | `setWmLengthAfterMeal(int wmLengthAfterMeal)` Sets the wmLengthAfterMeal value for this CfgMeal.
    `void` | `setWmLengthBeforeMeal(int wmLengthBeforeMeal)` Sets the wmLengthBeforeMeal value for this CfgMeal.
    `void` | `setWmMealId(int wmMealId)` Sets the wmMealId value for this CfgMeal.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgMeal.
    `void` | `setWmPaid(boolean wmPaid)` Sets the wmPaid value for this CfgMeal.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgMeal.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgMeal.
    `void` | `setWmStartStep(int wmStartStep)` Sets the wmStartStep value for this CfgMeal.
    `void` | `setWmStartTime(double wmStartTime)` Sets the wmStartTime value for this CfgMeal.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmMealId

          private int wmMealId

    - #### wmSiteId

          private int wmSiteId

    - #### wmName

          private java.lang.String wmName

    - #### wmShortName

          private java.lang.String wmShortName

    - #### wmPaid

          private boolean wmPaid

    - #### wmStartTime

          private double wmStartTime

    - #### wmEndDuration

          private int wmEndDuration

    - #### wmDuration

          private int wmDuration

    - #### wmLengthBeforeMeal

          private int wmLengthBeforeMeal

    - #### wmLengthAfterMeal

          private int wmLengthAfterMeal

    - #### wmStartStep

          private int wmStartStep

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgMeal

          public CfgMeal()

    - #### CfgMeal

          public CfgMeal(int wmMealId,
                 int wmSiteId,
                 java.lang.String wmName,
                 java.lang.String wmShortName,
                 boolean wmPaid,
                 double wmStartTime,
                 int wmEndDuration,
                 int wmDuration,
                 int wmLengthBeforeMeal,
                 int wmLengthAfterMeal,
                 int wmStartStep,
                 long timestamp)

  - ### Method Detail

    - #### getWmMealId

          public int getWmMealId()

      Gets the wmMealId value for this CfgMeal.
      Returns:
        wmMealId

    - #### setWmMealId

          public void setWmMealId(int wmMealId)

      Sets the wmMealId value for this CfgMeal.
      Parameters:
        `wmMealId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgMeal.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgMeal.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgMeal.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgMeal.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgMeal.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgMeal.
      Parameters:
        `wmShortName` -

    - #### isWmPaid

          public boolean isWmPaid()

      Gets the wmPaid value for this CfgMeal.
      Returns:
        wmPaid

    - #### setWmPaid

          public void setWmPaid(boolean wmPaid)

      Sets the wmPaid value for this CfgMeal.
      Parameters:
        `wmPaid` -

    - #### getWmStartTime

          public double getWmStartTime()

      Gets the wmStartTime value for this CfgMeal.
      Returns:
        wmStartTime

    - #### setWmStartTime

          public void setWmStartTime(double wmStartTime)

      Sets the wmStartTime value for this CfgMeal.
      Parameters:
        `wmStartTime` -

    - #### getWmEndDuration

          public int getWmEndDuration()

      Gets the wmEndDuration value for this CfgMeal.
      Returns:
        wmEndDuration

    - #### setWmEndDuration

          public void setWmEndDuration(int wmEndDuration)

      Sets the wmEndDuration value for this CfgMeal.
      Parameters:
        `wmEndDuration` -

    - #### getWmDuration

          public int getWmDuration()

      Gets the wmDuration value for this CfgMeal.
      Returns:
        wmDuration

    - #### setWmDuration

          public void setWmDuration(int wmDuration)

      Sets the wmDuration value for this CfgMeal.
      Parameters:
        `wmDuration` -

    - #### getWmLengthBeforeMeal

          public int getWmLengthBeforeMeal()

      Gets the wmLengthBeforeMeal value for this CfgMeal.
      Returns:
        wmLengthBeforeMeal

    - #### setWmLengthBeforeMeal

          public void setWmLengthBeforeMeal(int wmLengthBeforeMeal)

      Sets the wmLengthBeforeMeal value for this CfgMeal.
      Parameters:
        `wmLengthBeforeMeal` -

    - #### getWmLengthAfterMeal

          public int getWmLengthAfterMeal()

      Gets the wmLengthAfterMeal value for this CfgMeal.
      Returns:
        wmLengthAfterMeal

    - #### setWmLengthAfterMeal

          public void setWmLengthAfterMeal(int wmLengthAfterMeal)

      Sets the wmLengthAfterMeal value for this CfgMeal.
      Parameters:
        `wmLengthAfterMeal` -

    - #### getWmStartStep

          public int getWmStartStep()

      Gets the wmStartStep value for this CfgMeal.
      Returns:
        wmStartStep

    - #### setWmStartStep

          public void setWmStartStep(int wmStartStep)

      Sets the wmStartStep value for this CfgMeal.
      Parameters:
        `wmStartStep` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgMeal.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgMeal.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.